package org.ntlab.radishforandroidstudio.framework.common;

import android.support.annotation.NonNull;

/**
 * Id管理の基底クラス
 *
 * @author s.iwatani
 * @param <IdType>
 */
public abstract class CommonId<IdType> {
    private IdType id = null;

    public CommonId(@NonNull IdType id) {
        setId(id);
    }

    public IdType getId() {
        return id;
    }

    public void setId(IdType id) {
        this.id = id;
    }
}
